%undefine _ld_as_needed
%undefine __cmake_in_source_build
%global framework networkmanager-qt

Name:           kf5-%{framework}
Version:        5.113.0
Release:        3
Summary:        A Tier 1 KDE Frameworks 5 module that wraps NetworkManager DBus API

License:        LGPLv2+
URL:            https://invent.kde.org/frameworks/%{framework}

%global majmin %majmin_ver_kf5
%global stable %stable_kf5

Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/%{framework}-%{version}.tar.xz

Patch0001:   0001-devic-add-interfaceFlag-and-support-WPA3.patch

BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-rpm-macros >= %{majmin}
BuildRequires:  qt5-qtbase-devel

BuildRequires:  pkgconfig(libnm)

Requires:       NetworkManager >= 0.9.9.0
Requires:       kf5-filesystem >= %{majmin}

%description
A Tier 1 KDE Frameworks 5 Qt library for NetworkManager.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       qt5-qtbase-devel
Requires:       pkgconfig(libnm)
%description    devel
Qt libraries and header files for developing applications
that use NetworkManager.


%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5

%make_build

%install
%make_install

%ldconfig_scriptlets

%files
%doc README.md
%license LICENSES/*.txt
%{_kf5_datadir}/qlogging-categories5/*categories
%{_kf5_datadir}/qlogging-categories5/*.categories
%{_kf5_libdir}/libKF5NetworkManagerQt.so.*

%files devel
%{_kf5_libdir}/libKF5NetworkManagerQt.so
%{_kf5_libdir}/cmake/KF5NetworkManagerQt/
%{_kf5_includedir}/NetworkManagerQt/


%changelog
* Wed Aug 28 2024 pangqing <pangqing@uniontech.com> - 5.113.0-3
- modify macros (fix dde-network-core build error)

* Tue Apr 09 2024 liuzhilin <liuzhilin@uniontech.com> - 5.113.0-2
- add interfaceFlag and support WPA3(fix dde-network-core build error)

* Thu Jan 04 2024 jiangxinyu <jiangxinyu@kylinos.cn> - 5.113.0-1
- Update package to version 5.113.0

* Thu Aug 03 2023 zhangkea <zhangkea@uniontech.cn> - 5.108.0-1
- Update version to 5.108.0

* Mon Dec 12 2022 liqiuyu <liqiuyu@kylinos.cn> - 5.100.0-1
- Update package to version 5.100.0

* Mon Sep 05 2022 liweiganga <liweiganga@uniontech.com> - 5.97.0-1
- update to upstream version 5.97.0

* Tue Jul 05 2022 peijiankang <peijiankang@kylinos.cn> - 5.95.0-1
- update to upstream version 5.95.0

* Sat Feb 12 2022 peijiankang <peijiankang@kylinos.cn> - 5.90.0-1
- update to upstream version 5.90.0

* Mon Jan 24 2022 pei-jiankang <peijiankang@kylinos.cn> - 5.88.0-1
- update to upstream version 5.88.0

* Mon Aug 17 2020 yeqinglong <yeqinglong@uniontech.com> - 5.55.0-1
- Initial release for OpenEuler
